﻿using _294405.TestDataDataSetTableAdapters;

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _294405
{
    public partial class Form1 : Form
    {
        SchedulerBindingDataSource dataSource = new SchedulerBindingDataSource();
        AppointmentsResourcesTableAdapter appointmentsResourcesTableAdapter = new AppointmentsResourcesTableAdapter();
        AppointmentsTableAdapter appointmentsTableAdapter = new AppointmentsTableAdapter();
        ResourcesTableAdapter resourcesTableAdapter = new ResourcesTableAdapter();
        Table1TableAdapter table1Adpter = new Table1TableAdapter();
        TestDataDataSet dataSet = new TestDataDataSet();
        public Form1()
        {
            InitializeComponent();
         

            this.Load += Form1_Load;
        }

        void Form1_Load(object sender, EventArgs e)
        {
            table1Adpter.Fill(dataSet.Table1);

            resourcesTableAdapter.Fill(dataSet.Resources);
            appointmentsResourcesTableAdapter.Fill(dataSet.AppointmentsResources);
            appointmentsTableAdapter.Fill(dataSet.Appointments);

            radScheduler1.AppointmentEditDialogShowing += radScheduler1_AppointmentEditDialogShowing;
            this.radScheduler1.AppointmentFactory = new CustomAppointmentFactory();

            SchedulerBindingDataSource schedulerBindingDataSource1 = new SchedulerBindingDataSource();
            schedulerBindingDataSource1.EventProvider.AppointmentFactory = new CustomAppointmentFactory();

            AppointmentMappingInfo appointmentMappingInfo = new AppointmentMappingInfo();
            appointmentMappingInfo.BackgroundId = "BackgroundID";

            appointmentMappingInfo.Description = "Description";
            appointmentMappingInfo.End = "End";
            appointmentMappingInfo.Location = "Location";
            appointmentMappingInfo.MasterEventId = "ParentID";
            appointmentMappingInfo.RecurrenceRule = "RecurrenceRule";
            appointmentMappingInfo.ResourceId = "ResourceID";
            appointmentMappingInfo.Resources = "AppointmentsAppointmentsResources";
            appointmentMappingInfo.Start = "Start";
            appointmentMappingInfo.StatusId = "StatusID";
            appointmentMappingInfo.Summary = "Summary";
            appointmentMappingInfo.Exceptions = "Appointments_Appointments";

            appointmentMappingInfo.Mappings.Add(new SchedulerMapping("CustomField", "CustomField"));
            schedulerBindingDataSource1.EventProvider.Mapping = appointmentMappingInfo;


            schedulerBindingDataSource1.EventProvider.DataSource = dataSet.Appointments;

            radScheduler1.DataSource = schedulerBindingDataSource1;
        }

        CustomAppointmentEditForm appointmentDialog = null;

        void radScheduler1_AppointmentEditDialogShowing(object sender, Telerik.WinControls.UI.AppointmentEditDialogShowingEventArgs e)
        {
            if (this.appointmentDialog == null)
            {
                this.appointmentDialog = new CustomAppointmentEditForm();
            }
            e.AppointmentEditDialog = this.appointmentDialog;
        }
      
    }
}